triangle2.h File Reference

Internal header for triangular faces in a 2-manifold triangulation. More...

`#include "triangulation/dim2/triangulation2.h"`

## Classes

class | regina::Face< 2, 2 >
| Represents a tetrahedron within a 2-manifold triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Simplex< 2 > | regina::Dim2Triangle
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Internal header for triangular faces in a 2-manifold triangulation.

This file is automatically included from triangulation/dim2.h; there is no need for end users to include this header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).